.select-search {
  position: relative;
  width: 100%;
  font-size: 14px;
  font-family: "overpass-mono", monospace;
}

.select-search .select-search-input {
  display: flex;
}

.select-search .select-search-input .select-search-input-icon {
  width: 24px;
}
.select-search .select-search-input .select-search-input-icon a {
  display: block;
  box-sizing: border-box;
  padding: 1rem 0.7rem;
  opacity: 0.5;
  transform: scale(0.85);
  transform-origin: center center;
  transition: 0.3s all;
  max-height: 1.9rem;

}
.select-search .select-search-input .select-search-input-icon a:hover {
  opacity: 1;
  transform: scale(1);
}
.select-search
  .select-search-input
  .select-search-input-icon
  a
  .select-search-input-arrow {
  width: 100%;
  height: auto;
  max-height: 1rem;
}
.select-search .select-search-input .select-search-input-element {
  width: calc(100% - 24px);
}

.select-search .select-search-input input {
  width: 100%;
  margin: 0;
  padding: 0.7rem 0.5rem;
  border-radius: 4px;
  border: 1px solid #cecece;
  box-sizing: border-box;
  font-size: 14px;
}

.select-search .select-search-input input:focus {
  border: 1px solid blue;
  outline: none;
}

.select-search .select-search-list {
  box-shadow: 0 0 5px rgba(0, 0, 0, 0);
  border-radius: 2px;
  position: absolute;
  width: calc(100% - 25px);
  top: 3rem;
  background: white;
  max-height: 160px;
  overflow: hidden;
  overflow-y: auto;
  transform: scaleY(0);
  transform-origin: top center;
  transition: 0.3s all;
  z-index: 1000;
}

.select-search .select-search-list.open {
  transform: scaleY(1);
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
}

.select-search .select-search-list ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.select-search .select-search-list ul li {
  margin: 0;
  padding: 0.1rem;
  border-bottom: 1px solid #eee;
  box-sizing: border-box;
}

.select-search .select-search-list ul li:last-child {
  border-bottom: none;
}

.select-search .select-search-list ul li a {
  text-align: left;
  font-weight: normal;
  padding: 0.3rem 0.5rem;
  border-radius: 2px;
  background-color: white;
  transition: 0.2s all;
  color: #333;
  display: block;
  text-decoration: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;
}

.select-search .select-search-list ul li a:hover,
.select-search .select-search-list ul li.selected a {
  background-color: #2669bf;
  color: white;
}

.select-search-clear {
  height: 1rem;
  display: block;
  position: absolute;
  right: 3rem;
  top: 0.7rem;
  opacity: 0.3;
  transition: all 0.2s;
  cursor: pointer;
}

.select-search-clear svg {
  max-width: 1rem;
  height: auto;
}

.select-search:hover .select-search-clear {
  opacity: 1;
}
